package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EstacionImpresora;

public class RenderEstacionImpresora implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EstacionImpresora estacionImpresora = (EstacionImpresora) o;

		if (!estacionImpresora.getActivo()) {
			return;
		}
		
		Listcell lc = new Listcell();

		lc = new Listcell(estacionImpresora.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(estacionImpresora.getNombImpresora());
		lc.setParent(lstm);

		lc = new Listcell(estacionImpresora.getNombArchivoLayout());
		lc.setParent(lstm);

		lstm.setAttribute("data", estacionImpresora);
	}
}
